Subject: bug#17170: 24.3.50; debug: Terminal 3 is locked, cannot read from it

From: Nicolas Richard <[email-masked]>
Date: Sat, 21 Mar 2015 18:46:20 +0100

Hi martin,

martin rudalics <[email-masked]> writes:
>> ;; I did:
>> (setq debugger-previous-window (selected-window))
>>
>> ;; and it went away:
>> (debug)
>> ;; works fine
>>
>> So emacs sometimes tries to use the initial frame F1. That's not
>> good because that frame doesn't really exist (it's the frame created
>> by "emacs --daemon").
>
> When it happens again please tell me the value of
> `debugger-previous-window'.  AFAICT this can only happen when that
> window was shown on the "initial frame F1" before.

Yes it was a window on that frame (window 4 IIRC). I remember that
because this is the reason I did
    (setq debugger-previous-window (selected-window))
to bring the debugger back to my frame.

-- 
Nicolas.